| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
i2c_BusInfo_struct Struct Reference

This structure defines the I2C bus information. More...

`#include <isf_i2cconf_types.h>`

## Data Fields
const i2c_BusRegInfo_t * | pbusRegInfo
i2c_BusConfig_t | busConfig
volatile i2c_State_t | state
i2c_Command_t * | pcCommand
i2c_MessageBuffer_t * | pcReceiveBuff
uint16 | cBufferIndex
LWEVENT_STRUCT | i2cEventHandler
i2c_AddrHint_t | cAddr
volatile uint8 | is10bitAddressing
uint8 | isrBusId

## Detailed Description

This structure defines the I2C bus information.

Definition at line 69 of file isf_i2cconf_types.h.

## Field Documentation

i2c_BusConfig_t busConfig

The current bus configuration.

Definition at line 71 of file isf_i2cconf_types.h.

i2c_AddrHint_t cAddr

The current slave address being communicated.

Definition at line 77 of file isf_i2cconf_types.h.

uint16 cBufferIndex

The current buffer index.

Definition at line 75 of file isf_i2cconf_types.h.

LWEVENT_STRUCT i2cEventHandler

The handler defined for internal I2C events.

Definition at line 76 of file isf_i2cconf_types.h.

volatile uint8 is10bitAddressing

The flag for 10-bit addressing.

Definition at line 78 of file isf_i2cconf_types.h.

uint8 isrBusId

The bus number of the bus causing the triggered ISR.

Definition at line 79 of file isf_i2cconf_types.h.

const i2c_BusRegInfo_t* pbusRegInfo

The current bus register information.

Definition at line 70 of file isf_i2cconf_types.h.

i2c_Command_t* pcCommand

The current command being processed.

Definition at line 73 of file isf_i2cconf_types.h.

i2c_MessageBuffer_t* pcReceiveBuff

The receive buffer being used.

Definition at line 74 of file isf_i2cconf_types.h.

volatile i2c_State_t state

The current I2C state.

Definition at line 72 of file isf_i2cconf_types.h.

The documentation for this struct was generated from the following file:

- Include/isf_i2cconf_types.h